POST/api/v2/transfers/withdrawals/crypto

Create an external crypto withdrawal (to blockchain address)

Authentication

Send your API key in the x-api-key header on every request.

Request body

application/json

Request body fields
FieldTypeRequiredDescription
UserIdunknownYes
CurrencystringYes
ChainstringYes
AmountstringYes
DestinationAddressstringYes
ConfirmExchangeRatebooleanYes
DescriptionstringNo
MetadataobjectNo

Responses

201 — Created

Response 201 fields
FieldTypeRequiredDescription
SuccessbooleanNo
VerificationTokenstringNo
TransactionIdstringNo
InterlaceTransferIdstringNo
WithdrawalRequestIdunknownNo
StatusstringNo
ActualAmountunknownNo
CurrencystringNo
Feesarray of TransferFeeNo
MessagestringNo
OtpRequiredbooleanNo
OtpExpiresAtstring (date-time)No

400 — Bad Request

Response 400 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

401 — Unauthorized

Response 401 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

403 — Forbidden

Response 403 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

404 — Not Found

Response 404 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

422 — Unprocessable Entity

Response 422 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

500 — Internal Server Error

Response 500 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

Example request

curl -X POST "https://{base_url}/api/v2/transfers/withdrawals/crypto" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"UserId":"…","Currency":"…","Chain":"…","Amount":"…"}'

This page is generated from the live OpenAPI specification and always matches the current API.